Bug 196438 - graphics/zathura[-*] Multiple port updates
Summary: graphics/zathura[-*] Multiple port updates
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guido Falsi
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-01-02 14:10 UTC by Michael Danilov
Modified: 2015-02-01 21:42 UTC (History)
4 users (show)

See Also:


Attachments
graphics/zathura (1.08 KB, patch)
2015-01-02 14:10 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-cb (3.23 KB, patch)
2015-01-02 14:10 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-djvu (926 bytes, patch)
2015-01-02 14:11 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-ps (3.25 KB, patch)
2015-01-02 14:11 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura (8.18 KB, patch)
2015-01-03 10:07 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura: portlint output (3.07 KB, text/plain)
2015-01-03 10:07 UTC, Michael Danilov
no flags Details
graphics/zathura: poudirere output (78.89 KB, text/plain)
2015-01-03 10:09 UTC, Michael Danilov
no flags Details
graphics/zathura-djvu (1.83 KB, patch)
2015-01-03 10:10 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-djvu: portlint output (130 bytes, text/plain)
2015-01-03 10:10 UTC, Michael Danilov
no flags Details
graphics/zathura-djvu: poudriere output (40.41 KB, text/plain)
2015-01-03 10:11 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-mupdf (1.22 KB, patch)
2015-01-03 10:13 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-pdf-mupdf: portlint output (130 bytes, text/plain)
2015-01-03 10:14 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-mupdf: poudriere output (46.05 KB, text/plain)
2015-01-03 10:14 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-poppler (1.29 KB, patch)
2015-01-03 10:15 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-pdf-poppler: portlint output (259 bytes, text/plain)
2015-01-03 10:16 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-poppler: poudriere output (42.33 KB, text/plain)
2015-01-03 10:16 UTC, Michael Danilov
no flags Details
graphics/zathura (8.18 KB, patch)
2015-01-03 12:19 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura: portlint (3.07 KB, text/plain)
2015-01-03 12:20 UTC, Michael Danilov
no flags Details
graphics/zathura: poudirere (78.89 KB, text/plain)
2015-01-03 12:20 UTC, Michael Danilov
no flags Details
graphics/zathura-djvu (1.67 KB, patch)
2015-01-03 12:22 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-djvu: portlint (130 bytes, text/plain)
2015-01-03 12:23 UTC, Michael Danilov
no flags Details
graphics/zathura-djvu: poudriere (40.44 KB, text/plain)
2015-01-03 12:23 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-mupdf (838 bytes, patch)
2015-01-03 12:24 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-pdf-mupdf: portlint (130 bytes, text/plain)
2015-01-03 12:24 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-mupdf: poudriere (46.10 KB, text/plain)
2015-01-03 12:25 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-poppler (1005 bytes, patch)
2015-01-03 12:25 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-pdf-poppler: portlint (259 bytes, text/plain)
2015-01-03 12:26 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-poppler: poudriere (42.39 KB, text/plain)
2015-01-03 12:26 UTC, Michael Danilov
no flags Details
graphics/zathura (8.18 KB, patch)
2015-01-21 13:55 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura: Portlint (3.07 KB, text/plain)
2015-01-21 13:57 UTC, Michael Danilov
no flags Details
graphics/zathura: Poudriere (77.99 KB, text/plain)
2015-01-21 13:58 UTC, Michael Danilov
no flags Details
graphics/zathura-djvu (1.67 KB, patch)
2015-01-21 13:59 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-djvu: Portlint (130 bytes, text/plain)
2015-01-21 13:59 UTC, Michael Danilov
no flags Details
graphics/zathura-djvu: Poudriere (38.50 KB, text/plain)
2015-01-21 13:59 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-mupdf (1.22 KB, patch)
2015-01-21 14:00 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-pdf-mupdf: Portlint (130 bytes, text/plain)
2015-01-21 14:00 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-mupdf: Poudriere (45.45 KB, text/plain)
2015-01-21 14:01 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-poppler (1005 bytes, patch)
2015-01-21 14:01 UTC, Michael Danilov
no flags Details | Diff
graphics/zathura-pdf-poppler: Portlint (259 bytes, text/plain)
2015-01-21 14:01 UTC, Michael Danilov
no flags Details
graphics/zathura-pdf-poppler: Poudriere (40.64 KB, text/plain)
2015-01-21 14:02 UTC, Michael Danilov
no flags Details
zathura (9.83 KB, patch)
2015-01-28 11:07 UTC, Guido Falsi
madpilot: maintainer-approval+
Details | Diff
zathura-djvu (1.54 KB, patch)
2015-01-28 11:09 UTC, Guido Falsi
madpilot: maintainer-approval+
Details | Diff
zathura-mupdf (1.23 KB, patch)
2015-01-28 11:10 UTC, Guido Falsi
madpilot: maintainer-approval+
Details | Diff
zathura-pdf-poppler (1.08 KB, patch)
2015-01-28 11:12 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Danilov 2015-01-02 14:10:10 UTC
Created attachment 151212 [details]
graphics/zathura

The update brings some bug fixes. Additionally, the port provides a patch for crashing on search.

The problem that still persists is one has to type slowly in command line otherwise not all letters appear.
Comment 1 Bugzilla Automation freebsd_committer 2015-01-02 14:10:10 UTC
Maintainer CC'd
Comment 2 Michael Danilov 2015-01-02 14:10:36 UTC
Created attachment 151213 [details]
graphics/zathura-cb
Comment 3 Michael Danilov 2015-01-02 14:11:01 UTC
Created attachment 151214 [details]
graphics/zathura-djvu
Comment 4 Michael Danilov 2015-01-02 14:11:26 UTC
Created attachment 151215 [details]
graphics/zathura-ps
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-02 22:30:56 UTC
Thanks for your submission Mike.

It appears there are two new ports (zathura-cb & zathura-ps) in the attachment list. Additionally:

Can you:

- Split those 2 out into their own issue reports please
- Clarify MAINTAINER email as it does not match your issue tracker email
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-02 22:40:18 UTC
Also, graphics/zathura-djvu needs approval from a different maintainer.

Let's see how this 'multiple ports, multiple maintainers, multiple different updates' thing goes. 

If it gets too complex here, we'll need to split it out as well.

In this issue, for zathura and zathura-djvu, please attach:

- portlint -AC output (after fixing any issues)
- Successful poudriere output, OR
- make stage && make check-plist && make stage-qa && make package output

Please do the same for the new issues you create for zathura-cb and zathura-ps
Comment 7 Zsolt Udvari 2015-01-03 07:59:15 UTC
If it's possible I want reject maintaining of zathura-cb and zathura-ps. I don't use ComicBooks and PostScript files (only pdf files) so I can't test them.

@mike.d.ft402: do you use ComicBooks/PostScript? Do you will use zathura-{cb,ps}? If yes, I think you can be their maintainer.
Comment 8 Michael Danilov 2015-01-03 10:07:27 UTC
Created attachment 151243 [details]
graphics/zathura
Comment 9 Michael Danilov 2015-01-03 10:07:58 UTC
Created attachment 151244 [details]
graphics/zathura: portlint output
Comment 10 Michael Danilov 2015-01-03 10:09:15 UTC
Created attachment 151245 [details]
graphics/zathura: poudirere output
Comment 11 Michael Danilov 2015-01-03 10:10:03 UTC
Created attachment 151246 [details]
graphics/zathura-djvu
Comment 12 Michael Danilov 2015-01-03 10:10:29 UTC
Created attachment 151247 [details]
graphics/zathura-djvu: portlint output
Comment 13 Michael Danilov 2015-01-03 10:11:12 UTC
Created attachment 151248 [details]
graphics/zathura-djvu: poudriere output
Comment 14 Michael Danilov 2015-01-03 10:13:48 UTC
Created attachment 151249 [details]
graphics/zathura-pdf-mupdf
Comment 15 Michael Danilov 2015-01-03 10:14:10 UTC
Created attachment 151250 [details]
graphics/zathura-pdf-mupdf: portlint output
Comment 16 Michael Danilov 2015-01-03 10:14:46 UTC
Created attachment 151251 [details]
graphics/zathura-pdf-mupdf: poudriere output
Comment 17 Michael Danilov 2015-01-03 10:15:23 UTC
Created attachment 151252 [details]
graphics/zathura-pdf-poppler
Comment 18 Michael Danilov 2015-01-03 10:16:02 UTC
Created attachment 151253 [details]
graphics/zathura-pdf-poppler: portlint output
Comment 19 Michael Danilov 2015-01-03 10:16:28 UTC
Created attachment 151254 [details]
graphics/zathura-pdf-poppler: poudriere output
Comment 20 Michael Danilov 2015-01-03 10:19:33 UTC
(In reply to Zsolt Udvari from comment #7)
Despite only seriously using -ps, I can take care of both.

(In reply to Kubilay Kocak from comment #6)
Done! Also rectified -pdf* ones.
Comment 21 Zsolt Udvari 2015-01-03 10:33:06 UTC
(In reply to mike.d.ft402 from comment #14)
(In reply to mike.d.ft402 from comment #17)
Why do you want to change PORTNAME zathura-pdf-* and introduce PKGNAMESUFFIX? These ports are plugins not another versions/different build of zathura!
Comment 22 Michael Danilov 2015-01-03 10:48:32 UTC
(In reply to Zsolt Udvari from comment #21)

Thought that would be more consistent. I remember portlint not liking "-" in port names, but now it says nothing if I leave port names. Going to undo it now.
Comment 23 Zsolt Udvari 2015-01-03 10:56:57 UTC
(In reply to mike.d.ft402 from comment #22)
PORTVERSION shouldn't contains "-".
Check Porter's Handbook!

https://www.freebsd.org/doc/en/books/porters-handbook/
Comment 24 Michael Danilov 2015-01-03 11:57:27 UTC
(In reply to Zsolt Udvari from comment #23)

Names not versions.
Comment 25 Zsolt Udvari 2015-01-03 12:09:29 UTC
(In reply to mike.d.ft402 from comment #24)
I want to say that PORTNAME can contain "-" and PORTVERSION doesn't contain "-". https://www.freebsd.org/doc/en/books/porters-handbook/makefile-naming.html
"The version string ... is a period-separated list of integers and single lowercase alphabetics. In particular, it is not permissible to have another dash inside the version string."

You can check it with portlint too.

I think you've confused dash-valid PORTNAME and dash-invalid PORTVERSION :)
Comment 26 Michael Danilov 2015-01-03 12:18:15 UTC
(In reply to Zsolt Udvari from comment #25)

It was quite some time ago, so probably yes. Putting corrections in a second.
Comment 27 Michael Danilov 2015-01-03 12:19:45 UTC
Created attachment 151264 [details]
graphics/zathura
Comment 28 Michael Danilov 2015-01-03 12:20:22 UTC
Created attachment 151265 [details]
graphics/zathura: portlint
Comment 29 Michael Danilov 2015-01-03 12:20:47 UTC
Created attachment 151266 [details]
graphics/zathura: poudirere
Comment 30 Michael Danilov 2015-01-03 12:22:11 UTC
Created attachment 151267 [details]
graphics/zathura-djvu
Comment 31 Michael Danilov 2015-01-03 12:23:33 UTC
Created attachment 151268 [details]
graphics/zathura-djvu: portlint
Comment 32 Michael Danilov 2015-01-03 12:23:58 UTC
Created attachment 151269 [details]
graphics/zathura-djvu: poudriere
Comment 33 Michael Danilov 2015-01-03 12:24:37 UTC
Created attachment 151270 [details]
graphics/zathura-pdf-mupdf
Comment 34 Michael Danilov 2015-01-03 12:24:58 UTC
Created attachment 151271 [details]
graphics/zathura-pdf-mupdf: portlint
Comment 35 Michael Danilov 2015-01-03 12:25:21 UTC
Created attachment 151272 [details]
graphics/zathura-pdf-mupdf: poudriere
Comment 36 Michael Danilov 2015-01-03 12:25:41 UTC
Created attachment 151273 [details]
graphics/zathura-pdf-poppler
Comment 37 Michael Danilov 2015-01-03 12:26:01 UTC
Created attachment 151274 [details]
graphics/zathura-pdf-poppler: portlint
Comment 38 Michael Danilov 2015-01-03 12:26:22 UTC
Created attachment 151275 [details]
graphics/zathura-pdf-poppler: poudriere
Comment 39 Zsolt Udvari 2015-01-03 12:37:13 UTC
(In reply to mike.d.ft402 from comment #33)
Please don't put content of pkg-plist into Makefile! 
"Usage of PLIST_FILES should not be abused. When looking for the origin of a file, people usually try to grep through the pkg-plist files in the ports tree. Listing files in PLIST_FILES in the Makefile makes that search more difficult."
Comment 40 Michael Danilov 2015-01-03 12:43:57 UTC
(In reply to Zsolt Udvari from comment #39)

While porting another port with just a couple files, I was told to use PLIST_FILES.

"pkg which" should be able to deal with it no problem?
Comment 41 Zsolt Udvari 2015-01-03 12:52:41 UTC
'pkg which' works only with installed packages. If you've a script and prints 'foo: Command not found' you should find which port contains bin/foo:

find /usr/ports -name pkg-plist | xargs grep bin/foo

I don't see any benefit deal with PLIST_FILES.
Comment 42 Michael Danilov 2015-01-03 14:13:17 UTC
(In reply to Zsolt Udvari from comment #41)

In the future, not all users will even have ports tree -- I am sure there will be a way to do it through pkg.

As for the way it is done in the ports you maintain, you are free to alter the ones I suggested to your liking and submit the changes.
Comment 43 Zsolt Udvari 2015-01-03 15:50:51 UTC
(In reply to mike.d.ft402 from comment #42)
Yes, in the future. But we are in present :)

But once again: I don't see any benefit PLIST_FILES. Or do you? But pkg-plist has many benefit.

And I think you misunderstood one thing: I'm "only" maintainer of some ports (including zathura-pdf-mupdf) but I don't have write access to ports tree, I can't submit any change.
Comment 44 Michael Danilov 2015-01-03 16:28:57 UTC
(In reply to Zsolt Udvari from comment #43)

This or that, pkglint told me to use PKG_PLIST.

You can attach your changes here -- committers will consider them.
Comment 45 Zsolt Udvari 2015-01-03 16:34:01 UTC
I don't have any suggestion about zathura-pdf-mupdf.

Maybe should rebuild after zathura's update (upgrade PORTREVISION).
Comment 46 alexander.4mail 2015-01-21 13:52:50 UTC
Sorry for long delay, zathura-djvu diff file seems to be ok.
Comment 47 Michael Danilov 2015-01-21 13:55:56 UTC
Created attachment 151954 [details]
graphics/zathura
Comment 48 Michael Danilov 2015-01-21 13:57:04 UTC
Created attachment 151955 [details]
graphics/zathura: Portlint
Comment 49 Michael Danilov 2015-01-21 13:58:34 UTC
Created attachment 151956 [details]
graphics/zathura: Poudriere
Comment 50 Michael Danilov 2015-01-21 13:59:00 UTC
Created attachment 151957 [details]
graphics/zathura-djvu
Comment 51 Michael Danilov 2015-01-21 13:59:25 UTC
Created attachment 151958 [details]
graphics/zathura-djvu: Portlint
Comment 52 Michael Danilov 2015-01-21 13:59:50 UTC
Created attachment 151959 [details]
graphics/zathura-djvu: Poudriere
Comment 53 Michael Danilov 2015-01-21 14:00:35 UTC
Created attachment 151960 [details]
graphics/zathura-pdf-mupdf
Comment 54 Michael Danilov 2015-01-21 14:00:55 UTC
Created attachment 151961 [details]
graphics/zathura-pdf-mupdf: Portlint
Comment 55 Michael Danilov 2015-01-21 14:01:17 UTC
Created attachment 151962 [details]
graphics/zathura-pdf-mupdf: Poudriere
Comment 56 Michael Danilov 2015-01-21 14:01:37 UTC
Created attachment 151963 [details]
graphics/zathura-pdf-poppler
Comment 57 Michael Danilov 2015-01-21 14:01:59 UTC
Created attachment 151964 [details]
graphics/zathura-pdf-poppler: Portlint
Comment 58 Michael Danilov 2015-01-21 14:02:25 UTC
Created attachment 151965 [details]
graphics/zathura-pdf-poppler: Poudriere
Comment 59 quentin.stievenart 2015-01-21 14:06:18 UTC
(My previous update seems to have been lost during a Bugzilla maintenance). I agree with the patch for zathura.
Comment 60 Michael Danilov 2015-01-21 14:12:10 UTC
Corrected mupdf SSL linkage and PWMT license name.
Comment 61 Guido Falsi freebsd_committer 2015-01-28 11:07:51 UTC
Created attachment 152303 [details]
zathura

The zathura port update needed a few fixes to work on all supported FreeBSD versions:

- new version tries to pass -fdiagnostics-color=always to the compiler, but gcc on older releases does not digest that. I simply removed the option.

- Had to patch the Makefile, there's a mistake which makes building with WITH_SQLITE=0 (the default) impossible. Regarding this plase note that on a default installation gtk3 depends on colord which will pull in sqlite anyway, so I'd like to make the SQLITE option a default.

While not blocking, I added ZLIB_INC and ZLIB_LIB variables to MAKE_ENV. This clears a lot of warnings on all supported releases (except head). zlib is included in base, but, except on recent head, there's not zlib.pc pkgconfig file, and without this change the build generates many warnings about this.

I also simplified the Makefile a little by taking advantage of option helpers.

For other ports I just tweaked COMMENT a little and bumped portrevisions. (patches following)

A further note to the submitter: Reading your poudriere logs I see you are testing with many custom knobs. While it is good to also test non default options configurations, what is also very important is for the default options setup to work. There is no written rule about this, but if you provide poudriere build logs I'd suggest you send ones done with no custom options set.

Can you review these patches and approve them, if you see fit?

Thanks.
Comment 62 Guido Falsi freebsd_committer 2015-01-28 11:09:24 UTC
Created attachment 152304 [details]
zathura-djvu
Comment 63 Guido Falsi freebsd_committer 2015-01-28 11:10:42 UTC
Created attachment 152305 [details]
zathura-mupdf
Comment 64 Guido Falsi freebsd_committer 2015-01-28 11:12:48 UTC
Created attachment 152306 [details]
zathura-pdf-poppler
Comment 65 Zsolt Udvari 2015-01-28 16:18:14 UTC
I approve zathura-pdf-mupdf.
Comment 66 quentin.stievenart 2015-01-30 15:23:26 UTC
I approve the latest patch for the zathura port.
Comment 67 Guido Falsi freebsd_committer 2015-02-01 09:28:26 UTC
Comment on attachment 152305 [details]
zathura-mupdf

Maintainer approved this patch.
Comment 68 Guido Falsi freebsd_committer 2015-02-01 09:28:55 UTC
Comment on attachment 152303 [details]
zathura

Maintainer approved this patch.
Comment 69 alexander.4mail 2015-02-01 21:30:10 UTC
Approve
Comment 70 Guido Falsi freebsd_committer 2015-02-01 21:32:26 UTC
Comment on attachment 152304 [details]
zathura-djvu

Maintainer approved.
Comment 71 Guido Falsi freebsd_committer 2015-02-01 21:41:23 UTC
Committed. Thanks!
Comment 72 commit-hook freebsd_committer 2015-02-01 21:42:00 UTC
A commit references this bug:

Author: madpilot
Date: Sun Feb  1 21:41:01 UTC 2015
New revision: 378276
URL: https://svnweb.freebsd.org/changeset/ports/378276

Log:
  - Update graphics/zathura to 0.3.2 [1]
  - Update graphics/zathura-djvu to 0.2.4 [2]
  - Fix OpenSSL library path in graphics/zathura-pdf-mupdf [3]
  - Use OPTION Helpers [1]
  - Add LICENSE [1] [2] [3]

  PR:		196438
  Submitted by:	mike.d.ft402@gmail.com
  Approved by:	quentin.stievenart@gmail.com (maintainer of zathura) [1]
  Approved by:	alexander.4mail@gmail.com (maintainer of zathura-djvu) [2]
  Approved by:	Zsolt Udvari <udvzsolt@gmail.com> (maintainer of zathura-pdf-mupdf) [3]

Changes:
  head/graphics/zathura/Makefile
  head/graphics/zathura/distinfo
  head/graphics/zathura/files/
  head/graphics/zathura/files/patch-Makefile
  head/graphics/zathura/files/patch-zathura_page-widget.c
  head/graphics/zathura/files/patch-zathura_shortcuts.c
  head/graphics/zathura/pkg-plist
  head/graphics/zathura-djvu/Makefile
  head/graphics/zathura-djvu/distinfo
  head/graphics/zathura-pdf-mupdf/Makefile
  head/graphics/zathura-pdf-mupdf/pkg-plist
  head/graphics/zathura-pdf-poppler/Makefile